controllers:
    resource:
        path: ../src/Controller/
        namespace: App\Controller
    type: attribute



empresa:
    path: /empresa
    controller: App\Controller\EmpresaController::index


# ------------------------
SocioGet:
    path: /Socio
    controller: App\Controller\SocioController::index
    methods: ['GET']

SocioPost:
    path: /Socio/create
    controller: App\Controller\SocioController::store
    methods: ['POST']

SocioEmpresaPost:
    path: /Socio/{id}
    controller: App\Controller\SocioController::SocioEmpresa
    methods: ['POST']


SocioPut:
    path: /Socio/update/{id}
    controller: App\Controller\SocioController::put
    methods: ['PUT']

SocioDelete:
    path: /Socio/delete/{id}
    controller: App\Controller\SocioController::DELETE
    methods: ['DELETE']

# ------------------------
EmpresaGet:
    path: /Empresa
    controller: App\Controller\EmpresaController::index
    methods: ['GET']

EmpresaPost:
    path: /Empresa/create
    controller: App\Controller\EmpresaController::store
    methods: ['POST']

EmpresaSocioPost:
    path: /Empresa/{id}
    controller: App\Controller\SocioController::SocioEmpresa
    methods: ['POST']

EmpresaPut:
    path: /Empresa/update/{id}
    controller: App\Controller\EmpresaController::put
    methods: ['PUT']

EmpresaDelete:
    path: /Empresa/delete/{id}
    controller: App\Controller\EmpresaController::DELETE
    methods: ['DELETE']